/*
 * Arduino.h
 *
 *  Created on: 01 mar 2017
 *      Author: Francesco Gatto
 */

#ifndef ARDUINO_H_
#define ARDUINO_H_

#include <ctype.h>
#include <stdint.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>

#ifdef _WIN32
typedef void *HANDLE;
#endif

#include "Print.h"
#include "Stream.h"
#include "Serial.h"

void delay(int ms);
uint32_t millis();

class Serial;

extern Serial tty;
extern Serial serial;

#define SERIAL_PORT_MONITOR tty
#define SERIAL_PORT_USBVIRTUAL tty
#define SERIAL_PORT_HARDWARE serial

#define F(x) x

enum
{
	LOW, HIGH
};

#endif /* ARDUINO_H_ */
